Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class MethodCallCommand

    java.lang.Object
      SEdit.Command
          SEdit.MethodCallCommand

All Implemented Interfaces:
  Executable

    public class MethodCallCommand

extends Command

The description of an action that might be requested on a whole structure or on a single element (node or arrow). Usually defined in the formalism file

Field Summary
`protected java.lang.String` | `method`
`protected java.lang.Object` | `obj`
`protected java.lang.Object` | `parameters`

Fields inherited from class SEdit.Command
`action, desc, icon`

Constructor Summary
`MethodCallCommand(java.lang.Object target, java.lang.String methodname)`
`MethodCallCommand(java.lang.Object target, java.lang.String methodname, java.lang.Object params)`
`MethodCallCommand(java.lang.String methodname)`

Method Summary
`void` | `execute()` This method executes the command.
`java.lang.String` | `getMethodName()`
`java.lang.Object` | `getParameters()` Get the value of parameters.
`java.lang.Object` | `getTarget()` Get the value of target.
`void` | `setParameters(java.lang.Object v)` Set the value of parameters.
`void` | `setTarget(java.lang.Object v)` Set the value of target.
`java.lang.String` | `toString()`

Methods inherited from class SEdit.Command
`getAction, getDescription, getIcon, hasDescription, hasIcon`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### method

    protected java.lang.String method

### parameters

    protected java.lang.Object parameters

### obj

    protected java.lang.Object obj

Constructor Detail

### MethodCallCommand

    public MethodCallCommand(java.lang.String methodname)

### MethodCallCommand

    public MethodCallCommand(java.lang.Object target,
                             java.lang.String methodname)

### MethodCallCommand

    public MethodCallCommand(java.lang.Object target,
                             java.lang.String methodname,
                             java.lang.Object params)

Method Detail

### getTarget

    public java.lang.Object getTarget()

  Get the value of target.

  Returns:
    Value of target.

### setTarget

    public void setTarget(java.lang.Object v)

  Set the value of target.

  Parameters:
    `v` - Value to assign to target.

### getParameters

    public java.lang.Object getParameters()

  Get the value of parameters.

  Returns:
    Value of parameters.

### setParameters

    public void setParameters(java.lang.Object v)

  Set the value of parameters.

  Parameters:
    `v` - Value to assign to parameters.

### getMethodName

    public java.lang.String getMethodName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Command`

### execute

    public void execute()

  Description copied from interface: `Executable`
  This method executes the command.

  Specified by:
    `execute` in interface `Executable`
  Overrides:
    `execute` in class `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.